{% extends "baseAdmin.html" %}
{% block titulo %}
  .::Cuentas Corrientes - Creadas
{% endblock titulo %}
{% block content1 %}

    <script type="text/javascript">
        $("#navCuenta").attr('class','dropdown active');
        $("#navListaCtaCte").attr('class','active');
      </script>
     
      <form action=""> 
        <div class="row">
          <div class="col-md-12" >
              <div class="card">
                <div class="card-head card-head-xs style-default"> <strong>CUENTAS CORRIENTES</strong></div>
                <div class="card-body">
                  <div class="row" >
                    <h4 class="bg-success" align="center" id="ExitoMensaje">
                    </h4>
                  </div>
                  <div class="row">
                      <div class="col-md-2 col-md-offset-1 col-xs-4 col-xs-offset-1">
                        <a class="btn btn-primary btn-block" href="/Admin/CrearCtaCte_view/" role="button" >Nuevo</a>
                      </div>
                      <div class="col-md-2 col-xs-4">
                        <!--<button type="button" class="btn btn-info btn-block" id="RefrescarLista">Actualizar</button>-->
                      </div>
                   
                  </div>
                  <HR width=100% >
                  <div class="row">
                    <div class="col-md-2 col-md-offset-1">
                      <h5>Buscar por:</h5>
                    </div>
                    <div class="col-md-2">
                     <div class="fg-line">
                      <div class="select">
                      <select class="form-control" id="comboFiltro">
                        <!--<option value="n">Nombre</option>-->
                        <option value="dni">DNI Cliente</option>
                        <option value="nc">Nro de Cuenta</option>
                        <!--<option value="s">Traer Sobregiradas</option>
                        <option value="p">Traer Positivas</option>-->
                      </select>
                      </div>
                      </div>
                      <p></p>
                    </div>
                   
                    <div class=" col-md-2" id="div2">
                      <div class="fg-line">
                      <input type="text" class="form-control" id="txtfiltro" placeholder="búsqueda">
                      </div>
                      <p></p>
                    </div>
                    <div class="col-md-2" id="div3">
                      <button type="button" class="btn btn-success btn-block" id="btnfiltrar">Buscar</button><p></p>
                    </div>
                  </div>
                    <HR width=100% >

                       <div class="table-responsive">
                            <table class="table table-hover table-bordered">
                                <thead>
                                  <tr >
                                    <th>Nro</th>
                                    <th>Nombre</th>
                                    <th>A. Paterno</th>
                                    <th>A. Materno</th>
                                    <th>Estado Cuenta</th>
                                    <th>Oficina Apertura</th>
                                    <th>Privado</th>
                                    <th>Tipo Moneda</th>
                                    <th>Saldo</th>
                                     
                                  </tr>
                                </thead>
                                <tbody id="listaCtaCte">
                              
                                </tbody>
                            </table>
                          </div>

                           <div class="row">
                    <div class="col-md-10 col-md-offset-1" align="center">
                      <nav>
                        <ul class="pagination">
                          <li>
                            <a href="#" id="ant" aria-label="Previous">
                              <span aria-hidden="true">&laquo;</span>
                            </a>
                          </li>
                          <li class="active pag" ><a id="pg1" href="#">1</a></li>
                          <li class="pag" ><a id="pg2" href="#" >2</a></li>
                          <li class="pag" ><a id="pg3" href="#">3</a></li>
                          <li class="pag" ><a id="pg4" href="#">4</a></li>
                          <li class="pag" ><a id="pg5" href="#">5</a></li>
                          <li >
                            <a href="#" id="pos" aria-label="Next">
                              <span aria-hidden="true">&raquo;</span>
                            </a>
                          </li>
                        </ul>
                      </nav>
                    </div>
                  </div>

                  </div>
                </div>  
                  <div class="row">
                    <br>
                     
                      <div class="col-md-10 col-md-offset-1">
        
                          <div id="myModal" class="modal-bottom modal">

              <!-- Modal content -->
              <div class="modal-content-bottom">
                <div class="modal-header-bottom" id="grupoDetalleCtaCte">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h4>Detalle Cuenta Corriente</h4>
                </div>
                <div class="modal-body">
                <div class="row">
                  <div class="col-md-6 col-sm-6">
                   <div class="row">
                      <div class="col-md-12">
                          <h4 align="center" id="txtTituloPersonales">
                            <!--&nbsp;-->
                            Datos Personales
                          </h4>
                      </div>
                    </div>
                                      <p></p>
                                      <input type="hidden" id="idctacte">
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>DNI</h5> 
                                                  </div>
                                                  <div class="col-md-3">
                                                    <input type="text" class="form-control" id="txtDNI" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Nombre</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtNombre" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Apellido Paterno</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtAP" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Apellido Materno</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtAM" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Teléfono</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtTelefono" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>RUC</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtRuc" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Dirección</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtDireccion" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Email</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtEmail" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              
                                              <p></p>
                                               <div class="row">
                                                <div class="col-md-4 col-md-offset-1" align="right">
                                                  <h5>Tipo de Cliente</h5>
                                                </div>
                                                <div class="col-md-4">
                                                    <select class="form-control" id="Combocliente" name="Combocliente">
                                                      <option value="normal">Normal</option>
                                                      <option value="especial">Especial</option>
                                                      <option value="riesgo">En Riesgo</option>
                                                    </select>   
                                                    <p></p>    
                                                </div>
                                                <div class="col-md-3">
                                                  <button type="button" class="btn btn-sm btn-primary" id="btnModificarTipoCliente">Modificar</button>
                                                </div>
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Contraseña</h5> 
                                                  </div>
                                                  <div class="col-md-4">
                                                    <input type="password" class="form-control" id="txtPassword">         
                                                  </div>
                                                  <div class="col-md-3">
                                                  <button type="button" class="btn btn-sm btn-primary" id="btnModificarPassword">Modificar</button>
                                                </div> 
                                              </div>
                                              <p></p>
                                              
                              </div>
                              <div class="col-md-6 col-sm-6">
                   <div class="row">
                                                <div class="col-md-12">
                                                  <h4  align="center" id="txtTituloCtaCte">
                                                    <!--&nbsp;-->
                                                    Cuenta Corriente
                                                  </h4>
                                                </div>
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Nro de Cta Cte</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtCtaCte" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Personal que aperturó</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtPersonalA" disabled="disabled">         
                                                  </div> 
                                              </div>
                                               <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Oficina de Apertura</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtOficinaA" disabled="disabled">         
                                                  </div> 
                                              </div>
                                               <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Fecha de Apertura</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtFechaA" disabled="disabled">         
                                                  </div> 
                                              </div>
                                               <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Observación</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtObservacion" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                <div class="col-md-4 col-md-offset-1" align="right">
                                                  <h5>Privada</h5>
                                                </div>
                                                <div class="col-md-4">
                                                    <select class="form-control" id="ComboPrivada" name="ComboPrivada">
                                                      <option value="NO">No</option>
                                                      <option value="SI">Si</option>
                                                    </select>   
                                                    <p></p>    
                                                </div>
                                                <div class="col-md-3">
                                                  <button type="button" class="btn btn-sm btn-primary" id="btnModificarTipo">Modificar</button>
                                                </div>
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                <div class="col-md-4 col-md-offset-1" align="right">
                                                  <h5>Estado</h5>
                                                </div>
                                                <div class="col-md-4">
                                                    <select class="form-control" id="ComboEstado" name="ComboEstado">
                                                      <option value="activo">Activo</option>
                                                      <option value="bloqueado">Bloqueado</option>
                                                      <option value="cerrado">Cerrado</option>
                                                    </select>   
                                                    <p></p>    
                                                </div>
                                                <div class="col-md-3">
                                                  <button type="button" class="btn btn-sm btn-primary" id="btnModificarEstado">Modificar</button>
                                                </div>
                                              </div>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Tipo de moneda</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtMoneda" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Saldo</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtSaldo" disabled="disabled">         
                                                  </div> 
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                <div class="col-md-5 col-md-offset-7">
                                                  <button type="button" class="btn btn-xs btn-primary" id="btnAnularIntereses">Anular Intereses Sobregiro</button>
                                                </div>
                                              </div>
                                              <p></p>
                              </div> 
                              </div>       
                </div>  
              <div class="modal-footer">
                  <div class="row">
                             <div class="col-md-2 col-md-offset-3">
                              <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalListaMovimientos1" id="btnMovimientos">Movimientos</button>
                            </div>
                            <div class="col-md-2">
                              <button type="button" class="btn btn-success" data-toggle="modal" data-target="#modalAbono" id="btnAbono">Abono (Deposito)</button>
                            </div>
                             <div class="col-md-2">
                              <button type="button" class="btn btn-danger"data-toggle="modal" data-target="#modalRetiro" id="btnCargo">Cargo (Retiro)</button>
                            </div>
                          </div>
              </div>
            </div>

          </div>











                          <div id="modalListaMovimientos1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="z-index: 999999;">
                              <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Lista de Movimientos - <span id="nombre_cliente_mov"></span></h4>
                                  </div>
                                  <div class="modal-body">
                                      <div class="row">
                                        <div class="col-md-12">
                                          <div class="panel">
                                            <div class="panel-body">
                                              
                                              <div class="row">
                                                <div class="col-md-2 col-md-offset-8" align="right">
                                                  Id Cuenta:
                                                </div>
                                                <div class="col-md-2">
                                                  <input type="text" class="form-control" id="id_CtaCte" disabled="disabled">   
                                                </div>
                                              </div>
                                              <br>
                                              <div class="row">
                                                <div id="imprimir_mov">
                                                  <div class="table-responsive">
                                                    <table class="table table-hover" id="tablaMovimientos">
                                                        <thead>
                                                           <tr >
                                                            <th>#</th>
                                                            <th>Fecha Operacion</th>
                                                            <th>Monto Deposito</th>
                                                            <th>Monto Retiro</th>
                                                            <th>Moneda</th>
                                                            <th>Tipo de Operación</th>
                                                            <th>Tipo Documento</th>
                                                            <th>Nro Recibo</th>
                                                            <th>Saldo</th> 
                                                            <th>Base</th> 
                                                            <th>Operador</th> 
                                                            <th>Concepto Detalle</th>
                                                            <th>Observaciones</th>
                                                            <th></th>
                                                          </tr>
                                                        </thead>
                                                        <tbody id="listaMovi">
                                                        </tbody>
                                                    </table>
                                                  </div>
                                                </div>
                                                
                                              </div>
                                            </div>
                                          </div>  
                                        </div>
                                      </div>
                                      <div class="row">
                                        <div class="col-md-4 col-md-offset-4 col-xs-4 col-xs-offset-2">
                                          <button  type="button"class="btn btn-inverse btn-block" id="imprimirMov"><i class="fa fa-print" ></i> Imprimir </button>

                                        </div>
                                      </div>
                                  </div> 
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                                      
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->
                           

                            <div id="modalrecibo1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                                  </div>
                                  <div class="modal-body">
                                    <div  id="platillaII" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                                      
                                      <h5 align="center"><b>RECIBO DE EGRESO</b></h5>
                                      <table>
                                        <tr nowrap>=======================================</tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td nowrap> <h5 id="fechaReciboR"></h5></td>
                                          <td style="padding-top:10px;"><div style="width:30px;height:20px;"> </div></td>
                                          <td nowrap><h5 id="horaReciboR"></h5></td>
                                        </tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td id="oficinaReciboR" style="width:100px;"></td>
                                          <td style="padding-top:-10px;"><div style="width:40px;"> </div></td>
                                          <td style="width:60px; text-align:right;">Nº<span id="nrorR"></span></td>
                                        </tr>
                                      </table>
                                      <br>
                                      <!--<p id="pldet"></p>-->
                                      
                                      <b>IMPORTE:</b>
                                      <h4 id="importeR"></h4>
                                      <div id="divTC">
                                      </div>
                                      <br>
                                      <b>SALDO TOTAL:</b>
                                      <h4 id="saldototal"></h4>
                                      <table>
                                        <tr>
                                          <td><b>Concepto:</b></td>
                                        </tr>
                                        <tr>
                                          <td id="conceptoR"></td>
                                        </tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td><div style="height:30px;"> </div></td>
                                        </tr>
                                        <tr>
                                          <td><div style="margin-right:8px;">________________</div></td>
                                          <td><div style="margin-left:8px;">_________________</div></td>
                                        </tr>
                                        <tr>
                                          <td nowrap><h5><b>OP. GERENTE</b></h5></td>
                                           <td><b style="margin-left:8px;"> Recibí conforme<br> DNI <span id="dniR"></span></b></td>
                                        </tr>
                                        <!--<tr>
                                          <td><div style="height:35px;"> </div></td>
                                        </tr>
                                        <tr>
                                          <td>____________________</td>
                                        </tr>-->
                                        <!--<tr>
                                          <td nowrap><b><span id="dniR"></span></b></td>
                                        </tr>
                                         <tr>
                                          <td nowrap><b><span>Recibí Conforme</span></b></td>
                                        </tr>-->
                                        
                                      </table>
                                      
                                    </div>
                                  </div>
                                  <div class="modal-footer">
                                    <hr>
                                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->



                           <div id="modalrecibo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                                  </div>
                                  <div class="modal-body">
                                    <div  id="platillaI" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                                      
                                      <h5 align="center"><b>RECIBO DE INGRESO</b></h5>
                                      <table>
                                        <tr nowrap>=======================================</tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td nowrap> <h5 id="fechaRecibo"></h5></td>
                                          <td style="padding-top:10px;"><div style="width:30px;height:20px;"> </div></td>
                                          <td nowrap><h5 id="horaRecibo"></h5></td>
                                        </tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td id="oficinaRecibo" style="width:100px;"></td>
                                          <td style="padding-top:-10px;"><div style="width:40px;"> </div></td>
                                          <td style="width:60px; text-align:right;">Nº<span id="nror"></span></td>
                                        </tr>
                                      </table>
                                     
                                      <table> 
                                        <tr >
                                          <td  valign="top" style="padding-top:10px;"><b>Recibí de:</b></td>
                                          <td style="padding-top:10px;"><div style="width:20px;"> </div></td>
                                          <td id="recibi" style="padding-top:10px;"></td>
                                        </tr>
                                      </table>
                                      <br>
                                      <!--<p id="pldet"></p>-->
                                      
                                      <b>IMPORTE:</b>
                                      <table>
                                        <tr>
                                          <td>Monto:</td>
                                          <td ><div style="width:40px;"> </div></td>
                                          <td id="importe" style="text-align:right;"></td>
                                        </tr>
                                        <tr>
                                          <td>Comisión</td>
                                          <td ><div style="width:40px;"> </div></td>
                                          <td id="comision" style="text-align:right;"></td>
                                        </tr>
                                      </table> 
                                      <br>
                                      <b>IMPORTE TOTAL:</b>
                                      <h4 id="importetotal"></h4>
                                      <table>
                                        <tr>
                                          <td><b>Concepto:</b></td>
                                        </tr>
                                        <tr>
                                          <td id="concepto"></td>
                                        </tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td><div style="height:30px;"> </div></td>
                                        </tr>
                                         <tr>
                                          <td><div style="margin-right:8px;">________________</div></td>
                                          <td><div style="margin-left:8px;">_________________</div></td>
                                        </tr>
                                        <tr>
                                          <td nowrap><h5><b>OP. GERENTE</b></h5></td>
                                           <td><b style="margin-left:8px;">DNI <span id="dni"></span></b></td>
                                        </tr>
                                        
                                      </table>
                                      
                                    </div>
                                  </div>
                                  <div class="modal-footer">
                                    <hr>
                                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->




                          <div id="modalAbono" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 align="center">
                                      <!--&nbsp;-->
                                      Detalle del Abono de Dinero
                                    </h4>
                                  </div>
                                  <div class="modal-body">
                                       
                                          <div class="row">
                                                 <div class="col-md-12"> 
                                                  <h4>Detalle del Movimiento</h4> 
                                                </div> 
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Monto</h5> 
                                                  </div>
                                                  <div class="col-md-3">
                                                    <div class="fg-line">
                                                    <input type="text" class="form-control" id="txtMontoAbono" placeholder="0.00" required>
                                                    </div>
                                                  </div> 
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                <div class="col-md-4 col-md-offset-1" align="right"> 
                                                  <h5>Comisión:</h5> 
                                                </div>
                                                <div class="col-md-3">
                                                  <input type="text" class="form-control" id="txtMontoComision" placeholder="0.00" required>
                                                </div> 
                                              </div> 
                                            <p></p>  
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Observaciones</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                   <div class="fg-line">
                                                    <TEXTAREA type="text" class="form-control" placeholder="observaciones" id="txtObservacionesAbono"> </TEXTAREA> 
                                                  </div>        
                                                  </div> 
                                              </div>
                                              </div> 
                                              
                                               
                                  
                                  <div class="modal-footer">
                                
                                   <button type="button" class="btn btn-success" id="btnDepositar"><i class="fa fa-money"></i> Depositar</button>
                                    <button type="button" class="btn btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->


                          <div id="modalTipoCambio" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="txtTituloTipoCambio"></h4>
                                  </div>
                                  <div class="modal-body">
                                      <div class="row">
                                        <div class="col-md-12">  
                                                <div class="col-md-5 col-md-offset-1">
                                                  Ingrese el Tipo de Cambio:
                                                </div>
                                                <div class="col-md-4">
                                                  <input type="text" class="form-control" id="txtTipoCambio">  
                                                  <span class="text-danger hidden" id="txtValidatorTC">Es necesario ingresar el tipo de cambio</span> 
                                                </div>   
                                        </div>
                                      </div>
                                    
                                  </div> 
                                  <div class="modal-footer">
                                     <button type="button" class="btn btn-success" id="btnTipoCambio"><i class="fa fa-check"></i> Aceptar</button>
                                    <button type="button" class="btn btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
                                      
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal --> 


                          <div id="modalRetiro" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                     <h4 align="center">
                                      Detalle del Retiro de Dinero
                                    </h4>
                                    
                                  </div>
                                  <div class="modal-body">
                                        
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Monto</h5> 
                                                  </div>
                                                  <div class="col-md-3">
                                                  <div class="fg-line">
                                                    <input type="text" class="form-control" id="txtMontoCargo" placeholder="0.00" required>
                                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                                  </div>
                                                  </div> 
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Observaciones</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                  <div class="fg-line">
                                                    <TEXTAREA type="text" class="form-control" placeholder="observaciones" id="txtObservacionesCargo"> </TEXTAREA>  
                                                  </div>       
                                                  </div> 
                                              </div>
                                              <p></p>
                                              <br>
                                              <div class="row">
                                                <div class="col-md-12">
                                                  <h4 align="center"> 
                                                    Sobregiro
                                                  </h4>
                                                </div>
                                              </div>
                                              <p></p>
                                              <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Interes Diario</h5> 
                                                  </div>
                                                  <div class="col-md-6"> 
                                                    <input type="text" class="form-control" id="txtInteresDiario" readyonly> 

                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Tiempo Autorizado</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtTiempoAutorizado" readyonly>         
                                                  </div> 
                                              </div>
                                              <p></p>
                                               <div class="row">
                                                  <div class="col-md-4 col-md-offset-1" align="right"> 
                                                    <h5>Monto sobregiro</h5> 
                                                  </div>
                                                  <div class="col-md-6">
                                                    <input type="text" class="form-control" id="txtSobregiro" readyonly>         
                                                  </div> 
                                              </div>
                                              <p></p>
                                              </div> 
                                              
                                               
                                  
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-danger" id="btnRetiro">Retiro</button>
                                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                                      
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->
                              <!--<input type="button" class="btn btn-default btn-block" data-toggle="modal" data-target="#myModal" value="Clientes">-->
                           
                          
                      </div>
                    </p>
                  </div>
                  <br>
                  
                  <br>
                </div>
              </div>
      </form>
    <script type="text/JavaScript">
        var dialog="";
        var pagina=1;
        var Aux="";
        var filaI =0;
        var montoDeSobregiro=0;

        $(document).ready(readybtn);
         //ajax_CtaCte();
        function readybtn()
        {
          $('#txtMontoCargo').numeric(".");
          $('#txtInteresDiario').numeric(".");
          $('#txtTiempoAutorizado').numeric(".");
          $('#txtSobregiro').numeric(".");
          $('#txtMontoAbono').numeric('.');
          /*
          $("#RefrescarLista").click(function(){
              ajax_CtaCte();
          });
          */
        }
        /*
        $(".pag").click(function(){
            $(".pag").attr('class','pag');
            $(this).attr('class','active pag');
            pagina = $(this).text();
            ajax_CtaCte();
        })
        */
        $(document).on('show.bs.modal', '.modal', function () {
          var zIndex = 1040 + (10 * $('.modal:visible').length);
          $(this).css('z-index', zIndex);
          setTimeout(function() {
            $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
            }, 0);
        });
        $(document).on('hidden.bs.modal', '.modal', function () {
          $('.modal:visible').length && $(document.body).addClass('modal-open');
        });
        /*
        function ajax_CtaCte(){
            $.ajax({
                data:{'pg':pagina},
                url:'/ListadoCtaCtes_ajax/',
                type:'GET',
                dataType:'json',
                success: function(data){
                  Aux = data;
                  var html ="";
                  for(var i=0;i<data.length;i++){
                     var estado ="";
                      if(data[i].estado.trim() =="activo"){
                            estado="";
                            
                      }
                      if(data[i].estado.trim() =="bloqueado"){
                            estado = "danger";
                            
                      }
                       if(data[i].estado.trim() =="cerrado"){
                            estado = "warning";
                             
                      }

                    html += '<tr data-toggle="modal" data-target="#myModal" class="filaCtaCte '+estado+'" id="'+i+'"><th scope="row">'+data[i].ID+'</th><td>'+data[i].nombre+'</td><td>'+data[i].Apellido_paterno+'</td><td>'+data[i].Apellido_materno+'</td><td>'+data[i].estado+'</td><td>'+data[i].oficina_apertura+'</td><td>'+data[i].privado_oficina+'</td><td>'+data[i].moneda+'</td><td>'+data[i].saldo+'</td></tr>';
                  }
                                      //html+='</tbody></table>';
                  $('#listaCtaCte').html(html);   
                },
                error: function(xhr, textStatus, errorThrown) {
                        
                        console.log(xhr.responseText);
                },
          });
        }
        */
        function ajax_CtaCtePositiva(){
            $.ajax({
                data:{'pg':pagina},
                url:'/ListadoCtaCtes_positivas/',
                type:'GET',
                dataType:'json',
                success: function(data){
                  Aux = data;
                  var html ="";
                  for(var i=0;i<data.length;i++){
                    var estado ="";
                      if(data[i].estado.trim() =="activo"){
                            estado="";
                            
                      }
                      if(data[i].estado.trim() =="bloqueado"){
                            estado = "danger";
                            
                      }
                       if(data[i].estado.trim() =="cerrado"){
                            estado = "warning";
                             
                      }
                    html += '<tr data-toggle="modal" data-target="#myModal" class="filaCtaCte '+estado+'" id="'+i+'"><th scope="row">'+data[i].ID+'</th><td>'+data[i].nombre+'</td><td>'+data[i].Apellido_paterno+'</td><td>'+data[i].Apellido_materno+'</td><td>'+data[i].estado+'</td><td>'+data[i].oficina_apertura+'</td><td>'+data[i].privado_oficina+'</td><td>'+data[i].moneda+'</td><td>'+data[i].saldo+'</td></tr>';
                  }
                                      //html+='</tbody></table>';
                  $('#listaCtaCte').html(html);  
                },
                error: function(xhr, textStatus, errorThrown) {
                        alert('Ocurrio un error al procesar la información, porfavor comuniquese con el administrador de sistemas')
                        console.log(xhr.responseText);
                },
          });
        }


        function ajax_CtaCteSobregiradas(){
            $.ajax({
                data:{'pg':pagina},
                url:'/ListadoCtaCtes_sobregiradas/',
                type:'GET',
                dataType:'json',
                success: function(data){
                  Aux = data;
                  var html ="";
                  for(var i=0;i<data.length;i++){
                    var estado ="";
                      if(data[i].estado.trim() =="activo"){
                            estado="";
                            
                      }
                      if(data[i].estado.trim() =="bloqueado"){
                            estado = "danger";
                            
                      }
                       if(data[i].estado.trim() =="cerrado"){
                            estado = "warning";
                             
                      }
                    html += '<tr data-toggle="modal" data-target="#myModal" class="filaCtaCte '+estado+'" id="'+i+'"><th scope="row">'+data[i].ID+'</th><td>'+data[i].nombre+'</td><td>'+data[i].Apellido_paterno+'</td><td>'+data[i].Apellido_materno+'</td><td>'+data[i].estado+'</td><td>'+data[i].oficina_apertura+'</td><td>'+data[i].privado_oficina+'</td><td>'+data[i].moneda+'</td><td>'+data[i].saldo+'</td></tr>';
                  }
                                      //html+='</tbody></table>';
                  $('#listaCtaCte').html(html);  
                },
                error: function(xhr, textStatus, errorThrown) {
                        alert('Ocurrio un error al procesar la información, porfavor comuniquese con el administrador de sistemas')
                        console.log(xhr.responseText);
                },
          });
        }



         function ajax_CtaCteDNI(dni){

            dialog=bootbox.dialog({
                message: '<p><i class="fa fa-spin fa-spinner"></i> Buscando Cliente...</p>'
            });

            $.ajax({
                data:{'pg':pagina,'dni':dni},
                url:'/ListadoCtaCtes_dni/',
                type:'GET',
                dataType:'json',
                success: function(data){
                  Aux = data;
                  var html ="";
                  for(var i=0;i<data.length;i++){
                     var estado ="";
                      if(data[i].estado.trim() =="activo"){
                            estado="";
                            
                      }
                      if(data[i].estado.trim() =="bloqueado"){
                            estado = "danger";
                            
                      }
                       if(data[i].estado.trim() =="cerrado"){
                            estado = "warning";
                             
                      }

                    html += '<tr data-toggle="modal" data-target="#myModal" class="filaCtaCte '+estado+'" id="'+i+'"><th scope="row">'+data[i].ID+'</th><td>'+data[i].nombre+'</td><td>'+data[i].Apellido_paterno+'</td><td>'+data[i].Apellido_materno+'</td><td>'+data[i].estado+'</td><td>'+data[i].oficina_apertura+'</td><td>'+data[i].privado_oficina+'</td><td>'+data[i].moneda+'</td><td>'+data[i].saldo+'</td></tr>';
                  }
                  dialog.modal('hide');
                                      //html+='</tbody></table>';
                  $('#listaCtaCte').html(html);  
                },
                error: function(xhr, textStatus, errorThrown) {
                        if(xhr.responseText=='C200'){

                           bootbox.alert({ 
                            message: "No existe el cliente",
                            className: 'bb-alternate-modal'
                          });
                          dialog.modal('hide');

                          
                        }else{
                           if(xhr.responseText=='CC200'){
                             bootbox.alert({ 
                                message: "No existe ni una cuenta aperturada por el cliente",
                                className: 'bb-alternate-modal'
                              });
                              dialog.modal('hide');
                           }else{
                              alert('Ocurrio un error al procesar la información, porfavor comuniquese con el administrador de sistemas')
                              console.log(xhr.responseText);
                            }
                        }
                },
          });
        }


        function ajax_CtaCteNroCta(id){
            $.ajax({
                data:{'pg':pagina,'id':id},
                url:'/ListadoCtaCtes_nrocuenta/',
                type:'GET',
                dataType:'json',
                success: function(data){
                  Aux = data;
                  var html ="";
                  for(var i=0;i<data.length;i++){

                     var estado ="";
                      if(data[i].estado.trim() =="activo"){
                            estado="";
                            
                      }
                      if(data[i].estado.trim() =="bloqueado"){
                            estado = "danger";
                            
                      }
                       if(data[i].estado.trim() =="cerrado"){
                            estado = "warning";
                             
                      }

                    html += '<tr data-toggle="modal" data-target="#myModal" class="filaCtaCte '+estado+'" id="'+i+'"><th scope="row">'+data[i].ID+'</th><td>'+data[i].nombre+'</td><td>'+data[i].Apellido_paterno+'</td><td>'+data[i].Apellido_materno+'</td><td>'+data[i].estado+'</td><td>'+data[i].oficina_apertura+'</td><td>'+data[i].privado_oficina+'</td><td>'+data[i].moneda+'</td><td>'+data[i].saldo+'</td></tr>';
                  }
                                      //html+='</tbody></table>';
                  $('#listaCtaCte').html(html);  
                },
                error: function(xhr, textStatus, errorThrown) {
                        console.log(xhr.responseText);
                },
          });
        }

        $(document).on("change","#comboFiltro",function(){
            if($(this).val()=="p")
            {
              ajax_CtaCtePositiva();
              $("#div2").hide();
            }
            else{
             if($(this).val()=="nc" || $(this).val()=="dni"){
                $("#div2").show();
              }
              else
              {
                  if($(this).val()=="s")
                  {
                    ajax_CtaCteSobregiradas();
                    $("#div2").hide();
                  }
              }
            }
          });

        $(document).on("click","#btnfiltrar",function(){
          if($("#comboFiltro").val()=="nc" && $("#txtfiltro").val()!=""){
              ajax_CtaCteNroCta($("#txtfiltro").val());
           }else{
            //----- add today -------------
            if($("#comboFiltro").val()=="dni" && $("#txtfiltro").val()!=""){
              ajax_CtaCteDNI($("#txtfiltro").val());
            }
           }
          });


        $("#btnCargo").click(function(){
        	clearModalRetiro();
        });

        $("#btnAbono").click(function(){
        	$("#txtMontoAbono").css("background-color","");
        	clearModalAbono();
        });

        $(document).on("click",".filaCtaCte",function(){
            var num = $(this).attr('id');
            filaI = num;
            var fila= $(this).attr('class');
            $("#txtInteresDiario").val("");
            $("#txtInteresDiario").prop("readyonly",true);
            $("#txtTiempoAutorizado").val("");
            $("#txtTiempoAutorizado").prop("readyonly",true);
            $("#txtSobregiro").val("");
            $("#txtSobregiro").prop("readyonly",true);
            //$("."+fila).attr('class','filaTrans');
            //$("#"+num).attr('class','filaTrans info');
            //insertar datos en modal
            if(Aux[filaI].estado=="activo")
            {
              $("#btnCargo").prop("disabled",false);
              $("#btnAbono").prop("disabled",false);
            }
            if(Aux[filaI].estado=="bloqueado")
            {
              $("#btnCargo").prop("disabled",true);
              $("#btnAbono").prop("disabled",false);
            }
            if(Aux[filaI].estado=="cerrado")
            {
              $("#btnCargo").prop("disabled",true);
              $("#btnAbono").prop("disabled",true);
            }


            $.ajax({
                data:{'idctacte':Aux[filaI].ID},
                url:'/ListadoCtaCtesTXPK/',
                type:'GET',
                dataType:'json',
                success: function(data){
                  console.log(data);
                  $('#idctacte').prop('value',data[0].ID);
                  $('#txtNombre').prop('value',data[0].nombre);
                  $('#txtAP').prop('value',data[0].Apellido_paterno);
                  $('#txtAM').attr("value",data[0].Apellido_materno);
                  if (data[0].dni!="00000000")
                    $('#txtDNI').attr("value",data[0].dni);
                  $('#txtDireccion').attr("value",data[0].direccion);
                  $('#txtEmail').attr("value",data[0].email);
                  $('#txtTelefono').attr("value",data[0].telefono);
                  $('#txtDrem').attr("value",data[0].drem);
                  $('#txtCtaCte').attr("value",data[0].ID);
                  $('#txtPersonalA').attr("value",data[0].usuario_apertura);
                  $('#txtOficinaA').attr("value",data[0].oficina_apertura);
                  $('#txtFechaA').attr("value",data[0].fecha_apertura);
                  $('#ComboPrivada').prop("value",data[0].privado_oficina);
                  $('#ComboEstado').prop("value",data[0].estado);
                  $('#txtMoneda').prop("value",data[0].moneda);
                  if (data[0].moneda=='soles')
                  {
                      $("#grupoDetalleCtaCte").removeClass();
                      $("#txtTituloPersonales").removeClass();
                      $("#txtTituloCtaCte").removeClass();
                      $("#grupoDetalleCtaCte").addClass("style-info");
                      $("#txtTituloPersonales").addClass("style-info");
                      $("#txtTituloCtaCte").addClass("style-info");
                  }
                  else
                  {
                      $("#grupoDetalleCtaCte").removeClass();
                      $("#txtTituloPersonales").removeClass();
                      $("#txtTituloCtaCte").removeClass();
                      $("#grupoDetalleCtaCte").addClass("style-success");
                      $("#txtTituloPersonales").addClass("style-success");
                      $("#txtTituloCtaCte").addClass("style-success");
                  }
                  $('#txtObservacion').prop("value",data[0].observaciones);
                  $('#txtPassword').prop("value",data[0].clave);
                  $('#txtSaldo').prop("value",data[0].saldo);
                  $('#txtMontoCargo').prop("value","");
                  $('#txtMontoAbono').prop("value","");
                     
                },
                error: function(xhr, textStatus, errorThrown) {
                        alert('Ocurrio un error al procesar la información, porfavor comuniquese con el administrador de sistemas')
                        console.log(xhr.responseText);
                },
            });


        });

        //---------- section change-----------
        $("#btnModificarEstado").click(function(){
            var idctacte= $("#idctacte").val();
            var estado = $('#ComboEstado').val();
          
             $.ajax({
                data:{'idctacte':idctacte,'estado':estado},
                url:'/Admin/ModificarCtaCteEstado/',
                type:'GET',
                dataType:'json',
                success: function(data){
                   window.location.href="/ListadoCtaCtes_view/";
                },
                error: function(xhr, textStatus, errorThrown) {
                         window.location.href="/ListadoCtaCtes_view/";
                },
          });
            //alert("click");
        });

        $("#btnModificarPassword").click(function(){
            var idctacte= $("#idctacte").val();
            var password= $("#txtPassword").val();
             $.ajax({
                data:{'idctacte':idctacte,'clave':password},
                url:'/Admin/ModificarCtaCteClave/',
                type:'GET',
                dataType:'json',
                success: function(data){
                   window.location.href="/ListadoCtaCtes_view/";
                },
                error: function(xhr, textStatus, errorThrown) {
                         window.location.href="/ListadoCtaCtes_view/";
                },
          });
            //alert("click");
        });

         $("#btnModificarTipo").click(function(){
            var idctacte= $("#idctacte").val();
            var privado= $("#ComboPrivada").val();
             $.ajax({
                data:{'idctacte':idctacte,'privado':privado},
                url:'/Admin/ModificarCtaCtePrivado/',
                type:'GET',
                dataType:'json',
                success: function(data){
                   window.location.href="/ListadoCtaCtes_view/";
                },
                error: function(xhr, textStatus, errorThrown) {
                         window.location.href="/ListadoCtaCtes_view/";
                },
          });
            //alert("click");
        });

          $("#btnDepositar").click(function(){
              if(parseFloat($("#txtMontoAbono").val())>0){ 
              $("#txtMontoAbono").css("background-color","");

              //--------- abono ----------
              var m;
              var fecha=new Date();
              var fYear=fecha.getFullYear();
              var fDay=fecha.getDate();
              var fMonth=fecha.getMonth();
              var hour=fecha.getHours();
              var second=fecha.getSeconds();
              var minutes=fecha.getMinutes();
              var oficinaRecibo='Gerencia'
              var idctacte= $("#idctacte").val();
              var montodeposito = $("#txtMontoAbono").val();
              var comision = $("#txtMontoComision").val();
              var ObsAbono = $("#txtObservacionesAbono").val();
              var nombre=$("#txtNombre").val();
              var ap=$("#txtAP").val();
              var am=$("#txtAM").val();
              var moneda=$("#txtMoneda").val();
              var interesD=$("#txtInteresDeposito").val();
              var nroDiasD=$("#txtNroDiasDeposito").val();
              var dni= $('#txtDNI').val();
              var usuario='{{user.username}}'

              $("#oficinaRecibo").text("Oficina: "+oficinaRecibo);
              $("#fechaRecibo").text("Fecha: "+fYear+"-"+(parseInt(fMonth)+1)+"-"+fDay);
              $("#horaRecibo").text("Hora: "+hour+":"+minutes+":"+minutes);
              $("#recibi").text("Sr(a): "+nombre+" "+ap+" "+" "+am);
              if (moneda=="soles"){
                  m="S/. ";
              }else{
                  m="$/. ";
              }
              $("#importe").text(m+montodeposito);
              $("#comision").text(m+comision);
              $("#importetotal").text(m+(parseFloat(montodeposito)+parseFloat(comision)))
              $("#dni").text("****"+dni.slice(4));

              abonarDinero(idctacte,montodeposito,comision,ObsAbono,nroDiasD,interesD);

            }else{
              $("#txtMontoAbono").css( "background-color", "rgba(248, 158, 166, 0.61)" );   
            }
          /*var m;
          var fecha=new Date();
          var fYear=fecha.getFullYear();
          var fDay=fecha.getDate();
          var fMonth=fecha.getMonth();
          var hour=fecha.getHours();
          var second=fecha.getSeconds();
          var minutes=fecha.getMinutes();
          var oficinaRecibo='{{SITE_URL}}'
          var idctacte= $("#idctacte").val();
          var montodeposito = $("#txtMontoAbono").val();
          var ObsAbono = $("#txtObservacionesAbono").val();
          var nombre=$("#txtNombre").val();
          var ap=$("#txtAP").val();
          var am=$("#txtAM").val();
          var moneda=$("#txtMoneda").val();
          var dni= $('#txtDNI').val();
          var usuario='{{user.username}}'

          $("#oficinaRecibo").text("Oficina: "+oficinaRecibo);
          $("#fechaRecibo").text("Fecha: "+fYear+"-"+fMonth+"-"+fDay);
          $("#horaRecibo").text("Hora: "+hour+":"+minutes+":"+minutes);
          $("#recibi").text("Sr(a): "+nombre+" "+ap+" "+" "+am);
          if (moneda=="soles")
          {
            m="S/. ";
          }
          else
          {
            m="$/. ";
          }
          $("#importe").text(m+montodeposito);
          $("#dni").text(dni);
          $("#operador").text(usuario);



          bootbox.confirm({
                message: "¿Va realizar un deposito de dinero. Desea Continuar?",
                className: 'bb-alternate-modal',
                buttons: {
                    confirm: {
                        label: '<i class="fa fa-check"></i> Depositar',
                        className: 'btn-success'
                    },
                    cancel: {
                        label: '<i class="fa fa-times"></i> Cancelar',
                        className: 'btn-danger'
                    }
                },
                callback: function (result) {
                     if(result) {
                        dialog=bootbox.dialog({
                            message: '<p><i class="fa fa-spin fa-spinner"></i> Realizando Operación...</p>'
                        });
                        
                         $.ajax({
                              data:{'idctacte':idctacte,'montodeposito':montodeposito,'observaciones':ObsAbono,'nombre':nombre,'ap':ap,'am':am,'moneda':moneda},
                              url:'/Admin/CtaCteDepositar/',
                              type:'GET',
                              dataType:'text',
                              success: function(data){
                                if(data=='exito'){
                                     bootbox.alert({ 
                                        message: "Dinero Depositado",
                                        className: 'bb-alternate-modal'
                                      });
                                      dialog.modal('hide');
 
                                   $("#platillaI").printThis();
                                }else{
                                   bootbox.alert({ 
                                        message: "La Operación fallo",
                                        className: 'bb-alternate-modal'
                                      });
                                      dialog.modal('hide');  
                                }
                               console.log(data)
                               
                              },
                              error: function(xhr, textStatus, errorThrown) {
                                  console.log(xhr.responseText);
                                       
                              },
                        });
                    }
                     
                }
            });*/

       
        });



        function abonarDinero(idctacte,montodeposito,comision,ObsAbono,nroDias,interes){
       bootbox.confirm({
                message: "¿Va realizar un deposito de dinero. Desea Continuar?",
                className: 'bb-alternate-modal',
                buttons: {
                    confirm: {
                        label: '<i class="fa fa-check"></i> Depositar',
                        className: 'btn-success'
                    },
                    cancel: {
                        label: '<i class="fa fa-times"></i> Cancelar',
                        className: 'btn-danger'
                    }
                },
                callback: function (result) {
                     if(result) {
                        dialog=bootbox.dialog({
                            message: '<p><i class="fa fa-spin fa-spinner"></i> Realizando Operación...</p>'
                        });

                        $.ajax({
                              data:{'idctacte':idctacte,'montodeposito':montodeposito,'comision':comision,'observaciones':ObsAbono,'nroDias':nroDias,'interes':interes},
                              url:'/Admin/CtaCteDepositar/',
                              type:'GET',
                              dataType:'json',
                              success: function(data){
                                if(data.resultado=="exito"){
                                  bootbox.alert({ 
                                    message: "Dinero Depositado",
                                    className: 'bb-alternate-modal'
                                  });
                                  $("#concepto").text(data.msg);
                                  $("#nror").text(data.nro);
                                  dialog.modal('hide');
                                  ajax_CtaCte();
                                  $("#platillaI").printThis();
                                }else{
                                  bootbox.alert({ 
                                    message: "La Operación falló",
                                    className: 'bb-alternate-modal'
                                  });
                                  dialog.modal('hide'); 
                                }

                                $("#modalAbono").modal("hide");
                                console.log(data);
                               
                              },
                              error: function(xhr, textStatus, errorThrown) {
                            
                                  console.log(xhr.responseText);
                                      
                              },
                        });
                        
                    }
                     
                }
            });
    }



        

        $("#txtMontoCargo").keyup(function(){
          var montoMov=0;
          var montoDeSobregiro=0;
          var saldoDisp=parseFloat($("#txtSaldo").val());

          if($(this).val()!=""){
            montoMov=parseFloat($(this).val());
            if(saldoDisp<0){
              montoDeSobregiro=montoMov;
              $("#txtSobregiro").val(montoDeSobregiro);
            }else{
              if(saldoDisp<montoMov){
                montoDeSobregiro=saldoDisp-montoMov;
                montoDeSobregiro=Math.abs(montoDeSobregiro);
                $("#txtSobregiro").val(montoDeSobregiro);
              }
            }

            if(montoDeSobregiro>0 && montoMov>saldoDisp){
              $("#txtInteresDiario").prop("readyonly",false);
              $("#txtTiempoAutorizado").prop("readyonly",false); 
            }else{
               $("#txtInteresDiario").val("");
              $("#txtTiempoAutorizado").val("");
              $("#txtSobregiro").val("");
               $("#txtInteresDiario").prop("readyonly",true);
              $("#txtTiempoAutorizado").prop("readyonly",true); 
            }
          }else{
              $("#txtInteresDiario").val("");
              $("#txtTiempoAutorizado").val("");
              $("#txtSobregiro").val("");
              $("#txtInteresDiario").prop("readyonly",true);
              $("#txtTiempoAutorizado").prop("readyonly",true);
          }
           
        });

         $("#btnRetiro").click(function(){

            var m;
            var fecha=new Date();
            var fYear=fecha.getFullYear();
            var fDay=fecha.getDate();
            var fMonth=fecha.getMonth();
            var hour=fecha.getHours();
            var second=fecha.getSeconds();
            var minutes=fecha.getMinutes();
            var oficinaRecibo='Gerencia'
            var idctacte= $("#idctacte").val();
            var Sobregiro=$("#txtSobregiro").val();
            var montocargo = $("#txtMontoCargo").val();
            var ObsCargo = $("#txtObservacionesCargo").val();
            var nombre=$("#txtNombre").val();
            var ap=$("#txtAP").val();
            var am=$("#txtAM").val();
            var moneda=$("#txtMoneda").val();
            var dni= $('#txtDNI').val();
            var usuario='{{user.username}}'

            $("#oficinaReciboR").text(oficinaRecibo);
            $("#fechaReciboR").text("Fecha: "+fYear+"-"+fMonth+"-"+fDay);
            $("#horaReciboR").text("Hora: "+hour+":"+minutes+":"+minutes); 
            if (moneda=="soles")
            {
              m="S/. ";
            }
            else
            {
              m="$/. ";
            }
   
          $("#dniR").text(dni.slice(4)+"****"); 

          if(montoDeSobregiro>0){
            if ($("#txtTiempoAutorizado").val()!="" && $("#txtInteresDiario").val()!=""){
                retiroDinero(idctacte,montocargo,$("#txtInteresDiario").val(),$("#txtTiempoAutorizado").val(),ObsCargo,0,0); 
            }else{
              $("#txtTiempoAutorizado").css( "background-color", "rgba(248, 158, 166, 0.61)" );
                $("#txtInteresDiario").css( "background-color", "rgba(248, 158, 166, 0.61)" );    
            }
          }else{
            $("#txtTiempoAutorizado").css("background-color","");
            $("#txtInteresDiario").css( "background-color", "" );
               retiroDinero(idctacte,montocargo,$("#txtInteresDiario").val(),$("#txtTiempoAutorizado").val(),ObsCargo,0,0); 
          }  
 

            /*var m;
            var fecha=new Date();
            var fYear=fecha.getFullYear();
            var fDay=fecha.getDate();
            var fMonth=fecha.getMonth();
            var hour=fecha.getHours();
            var second=fecha.getSeconds();
            var minutes=fecha.getMinutes();
            var oficinaRecibo='{{SITE_URL}}'
            var idctacte= $("#idctacte").val();
            var Sobregiro=$("#txtSobregiro").val();
            var montocargo = $("#txtMontoCargo").val();
            var ObsCargo = $("#txtObservacionesCargo").val();
            var nombre=$("#txtNombre").val();
            var ap=$("#txtAP").val();
            var am=$("#txtAM").val();
            var moneda=$("#txtMoneda").val();
            var dni= $('#txtDNI').val();
            var usuario='{{user.username}}'

            $("#oficinaRecibo").text("Oficina: "+oficinaRecibo);
            $("#fechaRecibo").text("Fecha: "+fYear+"-"+fMonth+"-"+fDay);
            $("#horaRecibo").text("Hora: "+hour+":"+minutes+":"+minutes);
            $("#recibi").text("Sr(a): "+nombre+" "+ap+" "+" "+am);
            if (moneda=="soles")
            {
              m="S/. ";
            }
            else
            {
              m="$/. ";
            }

            if (montoDeSobregiro>0)
            {

            }
            $("#concepto").text("Cargo/Retiro en Cuenta Corriente");
            if (montoDeSobregiro>0)
            {
              $("#concepto").text("Cargo/Retiro en Cuenta Corriente <Con sobregiro de: "+montoDeSobregiro+">");
            }
             $("#importe").text(m+montocargo);
              $("#dni").text(dni);
              $("#operador").text(usuario);

          if (montoDeSobregiro>0)
          {
            if ($("#txtTiempoAutorizado").val()!="" && $("#txtInteresDiario").val()!="")
            {
                
                 bootbox.confirm({
                      message: "¿Va realizar un retiro de dinero. Desea continuar?",
                      className: 'bb-alternate-modal',
                      buttons: {
                          confirm: {
                              label: '<i class="fa fa-check"></i> Aceptar',
                              className: 'btn-success'
                          },
                          cancel: {
                              label: '<i class="fa fa-times"></i> Cancelar',
                              className: 'btn-danger'
                          }
                      },
                      callback: function (result) {
                           if(result) {
                              dialog=bootbox.dialog({
                                  message: '<p><i class="fa fa-spin fa-spinner"></i> Realizando Operación...</p>'
                              });
                              
                              $.ajax({
                                    data:{'idctacte':idctacte,'montoretiro':montocargo,'interes':$("#txtInteresDiario").val(),'nrodias':$("#txtTiempoAutorizado").val(),'observaciones':ObsCargo,'nombre':nombre,'ap':ap,'am':am,'moneda':moneda},
                                    url:'/Admin/CtaCteRetirar/',
                                    type:'GET',
                                    dataType:'json',
                                    success: function(data){
                                      console.log(data);
                                      if(data.resultado=='exito'){

                                        bootbox.alert({ 
                                          message: "Operación exitosa. Dinero retirado",
                                          className: 'bb-alternate-modal'
                                        });
                                        dialog.modal('hide'); 
                                        $("#platillaI").printThis();
                                      }else{
                                         bootbox.alert({ 
                                            message: "Ocurrio un error en la Operación",
                                            className: 'bb-alternate-modal'
                                          });
                                          dialog.modal('hide'); 
                                      }
                                    },
                                    error: function(xhr, textStatus, errorThrown) {
                                      console.log(xhr.responseText);
                                    },
                              });
                          }
                           
                      }
                  });
 
            }
            else
            {
              $("#txtTiempoAutorizado").css( "background-color", "rgba(248, 158, 166, 0.61)" );
              $("#txtInteresDiario").css( "background-color", "rgba(248, 158, 166, 0.61)" );
            }
          }
          else{

                bootbox.confirm({
                    message: "¿Va realizar un retiro de dinero. Desea continuar?",
                    className: 'bb-alternate-modal',
                    buttons: {
                        confirm: {
                            label: '<i class="fa fa-check"></i> Aceptar',
                            className: 'btn-success'
                        },
                        cancel: {
                            label: '<i class="fa fa-times"></i> Cancelar',
                            className: 'btn-danger'
                        }
                    },
                    callback: function (result) {
                         if(result) {
                            dialog=bootbox.dialog({
                                message: '<p><i class="fa fa-spin fa-spinner"></i> Realizando Operación...</p>'
                            });
                             $.ajax({
                                  data:{'idctacte':idctacte,'montoretiro':montocargo,'interes':$("#txtInteresDiario").val(),'nrodias':$("#txtTiempoAutorizado").val(),'observaciones':ObsCargo,'nombre':nombre,'ap':ap,'am':am,'moneda':moneda},
                                  url:'/Admin/CtaCteRetirar/',
                                  type:'GET',
                                  dataType:'json',
                                  success: function(data){

                                    console.log(data);
                                    if(data.resultado=='exito'){
                                      bootbox.alert({ 
                                        message: "Operación exitosa. Dinero retirado",
                                        className: 'bb-alternate-modal'
                                      });
                                      dialog.modal('hide');
                                      $("#platillaI").printThis();
                                    }else{
                                        bootbox.alert({ 
                                        message: "La Operación fallo",
                                        className: 'bb-alternate-modal'
                                      });
                                      dialog.modal('hide'); 
                                    }
                                  },
                                  error: function(xhr, textStatus, errorThrown) {
                                    console.log(xhr.responseText); 
                                  },
                            });
                        }
                         
                    }
                });
          } */
             
        });
        
        $("#btnAnularIntereses").click(function(){
            var idctacte=$("#txtCtaCte").val();
            $.ajax({
                data:{'idctacte':idctacte},
                url:'/Admin/CtaCteAnularIntereses/',
                type:'GET',
                dataType:'json',
                success: function(data){
                  console.log(data);
                  
                },
                error: function(xhr, textStatus, errorThrown) {
                  console.log(xhr.responseText);
                  }   
              });
        });



         $("#btnTipoCambio").click(function(){
          if($("#txtTipoCambio").val()>0){
              $("#txtValidatorTC").addClass("hidden");
              $("#modalTipoCambio").modal('hide');
              var m;
              var fecha=new Date();
              var fYear=fecha.getFullYear();
              var fDay=fecha.getDate();
              var fMonth=fecha.getMonth();
              var hour=fecha.getHours();
              var second=fecha.getSeconds();
              var minutes=fecha.getMinutes();
              var oficinaRecibo='Gerencia'
              var idctacte= $("#idctacte").val();
              var Sobregiro=$("#txtSobregiro").val();
              var montocargo = $("#txtMontoCargo").val();
              var ObsCargo = $("#txtObservacionesCargo").val();
              var nombre=$("#txtNombre").val();
              var ap=$("#txtAP").val();
              var am=$("#txtAM").val();
              var moneda=$("#txtMoneda").val();
              var dni= $('#txtDNI').val();
              var usuario='{{user.username}}'

              $("#oficinaReciboR").text(oficinaRecibo);
              $("#fechaReciboR").text("Fecha: "+fYear+"-"+fMonth+"-"+fDay);
              $("#horaReciboR").text("Hora: "+hour+":"+minutes+":"+minutes); 
              if (moneda=="soles")
              {
                m="S/. ";
              }
              else
              {
                m="$/. ";
              }
    
            $("#importeR").text(m+montocargo);
            $("#dniR").text(dni.slice(4)+"****"); 

            if(montoDeSobregiro>0){
              if ($("#txtTiempoAutorizado").val()!="" && $("#txtInteresDiario").val()!=""){
                  retiroDinero(idctacte,montocargo,$("#txtInteresDiario").val(),$("#txtTiempoAutorizado").val(),ObsCargo,1,$("#txtTipoCambio").val()); 
              }else{
                $("#txtTiempoAutorizado").css( "background-color", "rgba(248, 158, 166, 0.61)" );
                  $("#txtInteresDiario").css( "background-color", "rgba(248, 158, 166, 0.61)" );    
              }
            }else{
              $("#txtTiempoAutorizado").css("background-color","");
              $("#txtInteresDiario").css( "background-color", "" );
                 retiroDinero(idctacte,montocargo,$("#txtInteresDiario").val(),$("#txtTiempoAutorizado").val(),ObsCargo,1,$("#txtTipoCambio").val()); 
            }  
 
          }else{
              $("#txtValidatorTC").removeClass("hidden");
          }
        }); 

		
		 function clearModalRetiro(){
         $("#txtMontoCargo").val("");
          $("#txtObservacionesCargo").val("");
          $("#txtInteresDiario").val("");
          $("#txtTiempoAutorizado").val("");
          $("#txtSobregiro").val("")

          $("#txtInteresDiario").prop("readonly",true);
          $("#txtTiempoAutorizado").prop("readonly",true);
          $("#txtSobregiro").prop("readonly",true);

      }

       function clearModalAbono(){
          $("#txtMontoAbono").val("");
          $("#txtMontoComision").val("");
          $("#txtNroDiasDeposito").val("");
          $("#txtInteresDeposito").val("");
          $("#txtObservacionesAbono").val("")
 
      }

        
         function retiroDinero(idctacte,montocargo,interes,dias,ObsCargo,estado,tipoCambio){
      bootbox.confirm({
                        message: "¿Va realizar un retiro de dinero. Desea Continuar?",
                        className: 'bb-alternate-modal',
                        buttons: {
                            confirm: {
                                label: '<i class="fa fa-check"></i> Retirar',
                                className: 'btn-success'
                            },
                            cancel: {
                                label: '<i class="fa fa-times"></i> Cancelar',
                                className: 'btn-danger'
                            }
                        },
                        callback: function (result) {
                             if(result) {
                                dialog=bootbox.dialog({
                                    message: '<p><i class="fa fa-spin fa-spinner"></i> Realizando Operación...</p>'
                                });
                                
                                 $.ajax({
                                      data:{'idctacte':idctacte,'montoretiro':montocargo,'interes':interes,'nrodias':dias,'observaciones':ObsCargo,'estado':estado,'tc':tipoCambio},
                                      url:'/Admin/CtaCteRetirar/',
                                      type:'GET',
                                      dataType:'json',
                                      success: function(data){
                                        console.log(data);

                                        if(data.estado==1){
                                              bootbox.alert({ 
                                                message: "Operación exitosa. Dinero retirado",
                                                className: 'bb-alternate-modal'
                                              });
                                             dialog.modal('hide');
                                             $("#importeR").text(data.importe)
                                             if(data.tc!='')
                                              $("#divTC") .html("<b>TIPO DE CAMBIO:</b><h4>"+data.tc+"</h4><b>MONTO EQUIVALENTE:</b><h4>"+data.importeDS+"</h4>");
                                             else
                                              $("#divTC").html("");
                                             $("#conceptoR").text(data.concepto);
                                             $("#nrorR").text(data.nroRecibo);
                                             $("#saldototal").text(data.saldo);
                                             $("#platillaII").printThis();
                                        }else{
                                           
                                            if(data.estado==3){
                                                dialog.modal('hide');
                                                $("#modalTipoCambio").modal('show');
                                                $("#txtTituloTipoCambio").text(data.resultado);
                                               /*bootbox.alert({ 
                                                message: "La Operación fallo. "+data.resultado,
                                                className: 'bb-alternate-modal'
                                               });
                                               dialog.modal('hide');*/
                                            }else{
                                               bootbox.alert({ 
                                                message: "La Operación fallo. "+data.resultado,
                                                className: 'bb-alternate-modal'
                                               });
                                               dialog.modal('hide');
                                            }  
                                        }

                                        $("#modalRetiro").modal("hide");
                                         /*if(data.estado==1){
                                            bootbox.alert({ 
                                              message: "Operación exitosa. Dinero retirado",
                                              className: 'bb-alternate-modal'
                                            });
                                           dialog.modal('hide');
                                           $("#conceptoR").text(data.concepto);
                                           $("#nrorR").text(data.nroRecibo);
                                           $("#saldototal").text(data.saldo);
                                           $("#platillaII").printThis();
                                      }else{
                                         
                                          if(data.estado==3){
                                             bootbox.alert({ 
                                              message: "La Operación fallo. "+data.resultado,
                                              className: 'bb-alternate-modal'
                                             });
                                             dialog.modal('hide');
                                          }  
                                      }*/
                                          
                                      },
                                      error: function(xhr, textStatus, errorThrown) {
                                        console.log("operador resultado"+xhr.responseText);  
                                      },
                                });

                            }
                             
                        }
                    });
  
    }


        // cuenta movimientos
        $("#btnMovimientos").click(function(){
          $("#nombre_cliente_mov").text($("#txtNombre").val()+", "+$("#txtAP").val()+" "+$("#txtAM").val());
          $("#id_CtaCte").prop('value',$("#txtCtaCte").val());
          $('#listaMovi').html("");
          ajax_CtaCte_movimientos();
        })
        
        function ajax_CtaCte_movimientos(){
            $.ajax({
                data:{'pk':$("#id_CtaCte").val()},
                url:'/ListadoCtaCte_movimientos_ajax/',
                type:'GET',
                dataType:'json',
                success: function(data){
                 var html ="";
                  for(var i=0;i<data.length;i++){
                    var monto=0;
                    var operacion="";
                    /*
                    if(data[i].tabla=='TCajaDebe'){
                      monto=data[i].md;
                      operacion="Deposito";
                    }else{
                      monto=data[i].mr;
                      operacion="Retiro";
                    }*/
                     html += '<tr><th scope="row">'+(i+1)+'</th><td>'+data[i].f+'</td><td>'+data[i].md+'</td><td>'+data[i].mr+'</td><td>'+data[i].moneda+'</td><td>'+data[i].tipo+'</td><td>'+data[i].nro+'</td><<td>'+data[i].s+'</td><td>'+data[i].ofi+'</td><td>'+data[i].user+'</td><td>'+data[i].obs+'</td><td>'+data[i].obs1+
                    	'</td><td style="white-space: nowrap">'+
                    	' <button type="button" class="btn reimprimir btn-primary btn-icon-text '+
                    	'waves-effect" data-value="'+data[i].pk+'">'+'<i class="fa fa-print"></i></button>'+
                    	' <button type="button" class="btn detalles btn-success btn-icon-text '+
                    	'waves-effect" alt="Ver Detalles" data-value="'+data[i].pk+'">'+
                    	'<i class="fa fa-th-list"></i></button></td></tr>';
                  }
                  $('#listaMovi').html(html);
                  $('.reimprimir').click(function(){
                    var id=$(this).attr('data-value');
                    ajax_reimprimirMovimientos(id);
                  });
                },
                 error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);  
                  },
          });
        }

          function ajax_reimprimirMovimientos(id){
            $.ajax({
                data:{'pk':id},
                url:'/ReimprimirMovimientos_ajax/',
                type:'GET',
                dataType:'json',
                success: function(data){


                  if(data.resultado=='exito'){

                    var m;
                    var fecha=new Date();
                    var fYear=fecha.getFullYear();
                    var fDay=fecha.getDate();
                    var fMonth=fecha.getMonth();
                    var hour=fecha.getHours();
                    var second=fecha.getSeconds();
                    var minutes=fecha.getMinutes();
                    var oficinaRecibo='{{SITE_URL}}'


                    if(data.tabla=='TCajaDebe'){
                      $("#oficinaRecibo").text("Gerencia" );
                      $("#fechaRecibo").text("Fecha: "+fYear+"-"+fMonth+"-"+fDay);
                      $("#horaRecibo").text("Hora: "+hour+":"+minutes+":"+minutes);
 
                      $("#recibi").text(data.cliente);
                      $("#importe").text(data.monto);
                      $("#comision").text(data.comision);
                      $("#importetotal").text(data.importe)
                      $("#dni").text(data.dni.slice(4)+"****");
                      $("#concepto").text(data.concepto);
                      $("#nror").text(data.nro);
                      $("#platillaI").printThis();

                    }else{
                      
                      $("#oficinaReciboR").text("Gerencia");
                      $("#fechaReciboR").text("Fecha: "+fYear+"-"+fMonth+"-"+fDay);
                      $("#horaReciboR").text("Hora: "+hour+":"+minutes+":"+minutes);

                      $("#importeR").text(data.monto);
                      $("#dniR").text(data.dni.slice(4)+"****"); 
                      $("#conceptoR").text(data.concepto);
                      $("#nrorR").text(data.nro);
                      $("#saldototal").text(data.importe);
                      $("#platillaII").printThis();
 
                    }
                  } 
                  console.log(data);
                  
                },
                 error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
          });
        }


        $("#imprimirMov").click(function(){
            var d = new Date();
            var n = d.toLocaleString();

            var doc = new jsPDF('p', 'pt');
            var res = doc.autoTableHtmlToJson(document.getElementById("tablaMovimientos"));
            doc.setFontSize(18);
            doc.text("Reporte Movimientos Cuenta Corriente", 20, doc.autoTableEndPosY() + 30);
            doc.setFontSize(12);
            doc.text('Nombre Cliente: '+$("#nombre_cliente_mov").text(), 20, 60);
            doc.text('Nro Cta Cte: '+$("#id_CtaCte").val(), 20, 80);
            doc.text('Fecha: '+n, 20, 100);

            doc.autoTable(res.columns, res.data, {
                margin: {horizontal: 20},
                startY: doc.autoTableEndPosY() + 120,
                margin: {horizontal: 10},
                styles: {overflow: 'linebreak'},
                bodyStyles: {valign: 'top'},
                columnStyles: {email: {columnWidth: 'wrap'}},
                theme: 'grid',
            });

            doc.save('reporteMovimientosCtaCte.pdf');
        })

        
    </script>
{% endblock content1 %}
